## IdeCompletionProposal IdeCompletionProposal |

## Types and Values

#define | IDE_TYPE_COMPLETION_PROPOSAL
struct | IdeCompletionProposalInterface
| IdeCompletionProposal

## Object Hierarchy

        GInterface
        ╰── IdeCompletionProposal

## Prerequisites

IdeCompletionProposal requires GObject.

## Known Implementations

IdeCompletionProposal is implemented by IdeLspCompletionItem.

## Description

## Functions

## Types and Values

### IDE_TYPE_COMPLETION_PROPOSAL

    #define IDE_TYPE_COMPLETION_PROPOSAL (ide_completion_proposal_get_type())

### struct IdeCompletionProposalInterface

    struct IdeCompletionProposalInterface {
      GTypeInterface parent_iface;
    };

### IdeCompletionProposal

    typedef struct _IdeCompletionProposal IdeCompletionProposal;